#include <iostream>

using namespace std;

int main()
{
    int n, x, k, m;
    cin>> n>> k>> x;
    m = n + k;
    int a[n];
    if(k == n - 1)
    {
        a[0] = m;
        for(int i = 0; i < k; i ++)
            a[i + 1] = i + 1;
    }
    if(k == n)
    {
        a[0] = n * x + k;
        a[1] = (n - 1) * x;
        for(int i = 2; i < n - 1; i ++)
            a[i] = a[1] - i + 1;
        a[n - 1] = a[1] - x;
    }
    for(int i = 0; i < n; i ++)
        cout<<a[i]<< " ";
    return 0;
}